MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
_DLOG_4CH_ Struct Reference
DLOG4CH

Defines the data logging (DLOG) object. More...

`#include <dlog4ch.h>`

## Data Fields
int32_t | task
| Variable: Task address pointer. More...
int16_t * | iptr1
| Input: First input pointer. More...
int16_t * | iptr2
| Input: Second input pointer. More...
int16_t * | iptr3
| Input: Third input pointer. More...
int16_t * | iptr4
| Input: Fourth input pointer. More...
int16_t | trig_value
| Input: Trigger point. More...
int16_t | prescalar
| Parameter: Data log prescale. More...
int16_t | skip_cntr
| Variable: Data log skip counter. More...
int16_t | cntr
| Variable: Data log counter. More...
int32_t | write_ptr
| Variable: Graph address pointer. More...
int16_t | size
| Parameter: Maximum data buffer. More...
int16_t(* | init )()
| Pointer to init function. More...
int16_t(* | update )()
| Pointer to update function. More...

## Detailed Description

Defines the data logging (DLOG) object.

Definition at line 91 of file dlog4ch.h.

## Field Documentation

int16_t _DLOG_4CH_::cntr

Variable: Data log counter.

Definition at line 101 of file dlog4ch.h.

int16_t(* _DLOG_4CH_::init) ()

Pointer to init function.

Definition at line 104 of file dlog4ch.h.

int16_t* _DLOG_4CH_::iptr1

Input: First input pointer.

Definition at line 94 of file dlog4ch.h.

int16_t* _DLOG_4CH_::iptr2

Input: Second input pointer.

Definition at line 95 of file dlog4ch.h.

int16_t* _DLOG_4CH_::iptr3

Input: Third input pointer.

Definition at line 96 of file dlog4ch.h.

int16_t* _DLOG_4CH_::iptr4

Input: Fourth input pointer.

Definition at line 97 of file dlog4ch.h.

int16_t _DLOG_4CH_::prescalar

Parameter: Data log prescale.

Definition at line 99 of file dlog4ch.h.

int16_t _DLOG_4CH_::size

Parameter: Maximum data buffer.

Definition at line 103 of file dlog4ch.h.

int16_t _DLOG_4CH_::skip_cntr

Variable: Data log skip counter.

Definition at line 100 of file dlog4ch.h.

int32_t _DLOG_4CH_::task

Variable: Task address pointer.

Definition at line 93 of file dlog4ch.h.

int16_t _DLOG_4CH_::trig_value

Input: Trigger point.

Definition at line 98 of file dlog4ch.h.

int16_t(* _DLOG_4CH_::update) ()

Pointer to update function.

Definition at line 105 of file dlog4ch.h.

int32_t _DLOG_4CH_::write_ptr

Variable: Graph address pointer.

Definition at line 102 of file dlog4ch.h.

The documentation for this struct was generated from the following file:

- dlog4ch.h